/* include/click/config.h.  Generated automatically by configure.  */
/* Process this file with configure to produce config.h. -*- mode: c -*- */
#ifndef CLICK_CONFIG_H
#define CLICK_CONFIG_H

/* Version number of package */
#define CLICK_VERSION "1.2.3"

/* Define if IPv6 support is enabled. */
/* #undef HAVE_IP6 */

/* Define if IPsec support is enabled. */
/* #undef HAVE_IPSEC */

/* Define if Click should not give up processor to OS for more predictable
 * performance; use only if you have more than one processor! */
/* #undef CLICK_GREEDY */

/* Define if PollDevice should run fast to get good benchmark numbers */
/* #undef CLICK_WARP9 */

/* Define if 64-bit integer types are enabled. */
#define HAVE_INT64_TYPES 1

/* Define if the machine is indifferent to alignment. */
/* #undef HAVE_INDIFFERENT_ALIGNMENT */

/* Define to byte order of target machine. */
#define CLICK_BYTE_ORDER 1234  
#define CLICK_BIG_ENDIAN	4321
#define CLICK_LITTLE_ENDIAN	1234
#define CLICK_NO_ENDIAN		0

/* Define if you want to run multithreaded Click. */
/* #undef __MTCLICK__ */
#define NUM_CLICK_CPUS 1

/* Define if you want to use Intel-specific instructions. */
/* #undef HAVE_INTEL_CPU */

/* Define if you want to use the stride scheduler. */
#define HAVE_STRIDE_SCHED 1
#ifndef HAVE_STRIDE_SCHED
# define RR_SCHED
#endif

/* Define for Click memory allocation debugging. */
/* #undef CLICK_DMALLOC */

/* Define to 1 since we have Strings. */
#define HAVE_STRING 1

#ifdef __cplusplus
/* Get rid of inline macro under C++. */
/* #undef inline */

/* Explicit template instances? */
#if __GNUC__ == 2 && __GNUC_MINOR__ < 90
#define EXPLICIT_TEMPLATE_INSTANCES 1
#endif
#endif /* __cplusplus */

/* EXPORT_ELEMENT, ELEMENT_REQUIRES, ELEMENT_PROVIDES, ELEMENT_HEADER, and
   ELEMENT_MT_SAFE are noops. */
#define EXPORT_ELEMENT(x)
#define ELEMENT_REQUIRES(x)
#define ELEMENT_PROVIDES(x)
#define ELEMENT_HEADER(x)
#define ELEMENT_MT_SAFE(x)

/* Define stuff under a Linux module. */
#ifdef CLICK_LINUXMODULE
# include <click/config-linuxmodule.h>
#endif

/* Define stuff under a FreeBSD module. */
#ifdef CLICK_BSDMODULE
# include <click/config-bsdmodule.h>
#endif

/* Define stuff under tools or a user-level driver. */
#if defined(CLICK_USERLEVEL) || defined(CLICK_TOOL)
# include <click/config-userlevel.h>
#endif

#endif /* CLICK_CONFIG_H */
